Company Reveal Finder
curl --request GET \
--url https://api.waterfall.io/v1/company-reveal \
--header 'x-api-key: <api-key>'import requests
url = "https://api.waterfall.io/v1/company-reveal"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.waterfall.io/v1/company-reveal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "SUCCEEDED",
"start_date": "2026-03-07T10:00:00.000000+00:00",
"stop_date": "2026-03-07T10:00:00.300000+00:00",
"input": {
"task": {
"ip": "8.8.8.8",
"webhook_url": null,
"custom_fields": {},
"job_id": "b7e4648f-4f15-4f2f-9d09-7af635ce6c24",
"context_id": "b7e4648f-4f15-4f2f-9d09-7af635ce6c24"
}
},
"output": {
"ip": "8.8.8.8",
"type": "company",
"confidence_score": "high",
"ip_geo": {
"city": "San Francisco",
"state": "California",
"country": "United States"
},
"company": {
"id": "54fa90d8-7ba7-4b6d-b5ec-82ee3e184166",
"domain": "stripe.com",
"name": "Stripe",
"website": "stripe.com",
"linkedin_id": "stripe",
"description": "Stripe is a financial infrastructure platform for businesses.",
"logo_url": null,
"size": "5001-10000",
"employees_count": 8000,
"industry": "Financial Services",
"type": "Privately Held",
"founded": 2010,
"address": "354 Oyster Point Blvd, South San Francisco, California 94080, US",
"country": "United States",
"linkedin_url": "https://www.linkedin.com/company/stripe/",
"linkedin_followers": 1500000,
"crunchbase_url": "https://www.crunchbase.com/organization/stripe",
"funding_details": {
"total_funding_rounds": 0,
"total_funding_usd": 0,
"funding_rounds": []
},
"recent_job_posting_count": 0,
"technologies": []
},
"usage": {
"total_usd": 0.07,
"balance_remaining_usd": 99.93,
"persons_count": 0,
"persons_usd": 0,
"phones_count": 0,
"phones_usd": 0,
"companies_count": 1,
"companies_usd": 0.07
}
}
}Company Reveal
Company Reveal Finder
Retrieve a persisted company reveal job by job_id.
GET
/
v1
/
company-reveal
Company Reveal Finder
Use the
job_id returned by Company Reveal Launcher to retrieve a persisted result.This endpoint is in Beta — not recommended for critical production workloads. API behavior may change.
When to use this
Company Reveal returns the result synchronously in the Launcher response — you typically don’t need to call this endpoint. Use it only if you need to look up a past job byjob_id.
Job states
| Status | Meaning |
|---|---|
SUCCEEDED | Job completed. Output is in the output field. |
RUNNING | Job is still processing. |
Endpoint details
| Metric | Value |
|---|---|
| Flow | Sync launcher with persisted job |
| Required input | job_id query parameter |
| Typical usage | Lookup only — result is already in the Launcher response |
Authorizations
To access the API, provide your API key in x-api-key.
Query Parameters
The unique job_id you want to query. This value is returned by the corresponding launcher endpoint.
A UUID.
Example:
"7d44db58-5de3-4e92-a2fb-8325d12c2e8b"
Response
Company Reveal job state and output returned successfully.
Company Reveal response with synchronous job envelope and output.
The status of the job.
Available options:
RUNNING, SUCCEEDED, FAILED, TIMED_OUT, ABORTED Example:
"RUNNING"
A date time in ISO 8601 format.
Example:
"2025-02-05T15:46:35.771751+00:00"
Show child attributes
Show child attributes
A date time in ISO 8601 format.
Example:
"2025-02-05T15:46:35.771751+00:00"
Company Reveal output payload.
Show child attributes
Show child attributes